use cargo_edit::Manifest;
use toml_edit::{Item, Value};

fn main() {
    let mut m = Manifest::open(&None).unwrap();
    let package = m
        .get_table(&[String::from("package")])
        .unwrap()
        .as_table_mut()
        .unwrap();
    // println!("package: {:?}", package);

    let version = package.entry("version");
    *version = Item::Value(Value::from("1.2"));
    println!("version: {:?}", version);

    let mut f = Manifest::find_file(&None).unwrap();
    println!("file: {:?}", f);
    m.write_to_file(&mut f).unwrap();
}
